当前位置:首页 > 开发 > 开源软件 > 正文

Apache: 提示configure: error: APR not found

发表于: 2014-12-17   作者:crabdave   来源:转载   浏览次数:
摘要: Apache: 提示configure: error: APR not found(转)     原文地址:http://davis.zhang2004.blog.163.com/blog/static/2276015220128131455729/     #./configure --prefix……检查编辑环境时出现:   c

Apache: 提示configure: error: APR not found(转)

 

 

原文地址:http://davis.zhang2004.blog.163.com/blog/static/2276015220128131455729/

 

 

#./configure --prefix……检查编辑环境时出现:

 

checking for APR... no

configure: error: APR not found . Please read the documentation

 

解决办法:

 

1.下载所需软件包:

 

 

wget http://archive.apache.org/dist/apr/apr-1.4.5.tar.gz  

wget http://archive.apache.org/dist/apr/apr-util-1.3.12.tar.gz  

wget http://jaist.dl.sourceforge.net/project/pcre/pcre/8.10/pcre-8.10.zip   

2.编译安装:

 

 

yum remove apr-util-devel apr apr-util-mysql apr-docs apr-devel apr-util apr-util-docs 

具体步骤如下:

 

a:解决apr not found问题>>>>>>

 

 

[root@xt test]# tar -zxf apr-1.4.5.tar.gz  

[root@xt test]# cd  apr-1.4.5  

[root@xt apr-1.4.5]# ./configure --prefix=/usr/local/apr  

[root@xt apr-1.4.5]# make && make install  

b:解决APR-util not found问题>>>>

 

 

[root@xt test]# tar -zxf apr-util-1.3.12.tar.gz  

[root@xt test]# cd apr-util-1.3.12  

[root@xt apr-util-1.3.12]# ./configure --prefix=/usr/local/apr-util -with-apr=/usr/local/apr/bin/apr-1-config  

[root@xt apr-util-1.3.12]# make && make install 

 

c:解决pcre问题>>>>>>>>>

 

 

[root@xt test]#unzip -o pcre-8.10.zip  

[root@xt test]#cd pcre-8.10  

[root@xt pcre-8.10]#./configure --prefix=/usr/local/pcre  

[root@xt pcre-8.10]#make && make install 

 

4.最后编译Apache时加上:

 

--with-apr=/usr/local/apr \

 

--with-apr-util=/usr/local/apr-util/ \

 

--with-pcre=/usr/local/pcre

 

[root@xt pcre-8.10]#./configure --prefix=/apache --with-mpm=worker --with-apr=/usr/local/apr --with-apr-util=/usr/local/apr-util/ --with-pcre=/usr/local/pcre

 

[root@xt pcre-8.10]#make && make install 

 

Apache: 提示configure: error: APR not found

  • 0

    开心

    开心

  • 0

    板砖

    板砖

  • 0

    感动

    感动

  • 0

    有用

    有用

  • 0

    疑问

    疑问

  • 0

    难过

    难过

  • 0

    无聊

    无聊

  • 0

    震惊

    震惊

编辑推荐
Tomcat 启动出现信息如下: 信息: The APR based Apache Tomcat Native library which allows optim
环境 Eclipse Indigo + Android 2.2 问题 已启动模拟器,执行adb命令出现错误:error: device not f
http://stackoverflow.com/questions/9499563/no-repository-found-error-in-installing-adt-in-ecl
转载请注明来源:http://blog.csdn.net/tingya 1.3 APR构建 1.3.1获取APR 编译 APR的第一个步骤就是
在centos5.5下面安装 svn+apache实现版本控制 需要的组件 apr,apr-util,apache,subversion 这些组件
对于很多B/S架构的用友财务软件来说,在IIS中添加ISAPI和CGI限制功能是非常必要的,因为如果在IIS中
有一台客户端,不能连上Infor ERP Syteline,出现如下错误提示。但其它电脑没有相同问题,因此判定
重新安装操作系统及JDK后,在Eclipse中用Ant编译报错:Specified VM install not found: type Stand
解决方案: 出现该情况是由于c++编译器的相关package没有安装,以root用户登陆,在终端上执行:  
http://www.srccodes.com/p/article/38/build-install-configure-run-apache-hadoop-2.2.0-microsof
版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号